#include <stdio.h>
#include <time.h>
#include "hdfi.h"
#include "sis.h"
#include "level1.h"
 
int main(int argc, char *argv[]) {
    struct L1SisHighPriorityRate *pHpr;
 
        /* testing getGroupHiRates_s */
    int firstDayToGet = 632, lastDayToGet = 634;
    uint32 secondsSince1996Start, secondsSince1996Stop;
    struct tm *pTimeStruct;
    int autoFreeMemoryFlag = 1;
 
    pTimeStruct = getDateFromDay1996(firstDayToGet);
    secondsSince1996Start = getSecondsSince1996FromDate(pTimeStruct);
 
        /* stop time will be the 0th second of the day after lastDayToGet */
        /* the struct valid at that time *will not* be returned. */
    pTimeStruct = getDateFromDay1996(lastDayToGet + 1);
    secondsSince1996Stop = getSecondsSince1996FromDate(pTimeStruct);
 
    printf("\ntesting getGroupHiRates_s\n");
    printf("secondsSince1996Start = %ld\n", secondsSince1996Start);
    printf("secondsSince1996Stop = %ld\n", secondsSince1996Stop);
 
    pHpr = getGroupHiRates_s(secondsSince1996Start, secondsSince1996Stop,
                                                autoFreeMemoryFlag);
    while (pHpr->Second1996 != 0) {
        printf("pHpr->Second1996 = %ld\n", pHpr->Second1996);
        pHpr++;
    }
 
    return 0;
}
